lnmp升级nginx失败的几种原因

2021年03月18日

一般我们在对lnmp脚本中的nginx或php等组件进行升级的时候,很容易就出现一些不太注意的失误,在这里我记录一下,以便大家在操作的时候更方便快捷。

lnmp的升级脚本是 lnmp1.7-full/upgrade.sh 这个,而不是lnmp1.7-full/include/ 下的那些脚本。

cd lnmp1.7-full/
./upgrade.sh nginx
./upgrade.sh mysql
./upgrade.sh php

升级脚本的运行方式是这样的,之前我用bash upgrade.sh 或 sh upgrade.sh 来运行都没有成功。运行脚本后,根据提示输入你要升级的版本号就可以了。

一般来说会出现以下几种失误。

1、下载了纯脚本,我们应该下载完整的安装包,也就是带有full的这个安装包。

2、应该切换到安装目录进行操作

3、用./来运行脚本


sicnature ---------------------------------------------------------------------
Your current IP address is: 3.237.16.210
Your IP address location: 未知
Your IP address country and region: 美国 美国
Your current browser is:
Your current system is:
Original content, please indicate the source:
同福客栈论坛 | 蟒蛇科普海南乡情论坛 | JiaYu Blog
sicnature ---------------------------------------------------------------------
Welcome to reprint. Please indicate the source http://myzhenai.com/post/3774.html

没有评论

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注